Package org.springframework.batch.core.configuration.xml

# Class CoreNamespaceUtils

java.lang.Object
org.springframework.batch.core.configuration.xml.CoreNamespaceUtils

public class CoreNamespaceUtils extends Object
Utility methods used in parsing of the batch core namespace

Author:
  Thomas Risberg, Michael Minella

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoreNamespaceUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `autoregisterBeansForNamespace(org.springframework.beans.factory.xml.ParserContext parserContext, Object source)`
  `static boolean`
  `isAbstract(Element element)`
  `static boolean`
  `isUnderspecified(Element element)`
  Should this element be treated as incomplete? If it has a parent or is abstract, then it may not have all properties.
  `static boolean`
  `namespaceMatchesVersion(Element element)`
  Check that the schema location declared in the source file being parsed matches the Spring Batch version.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CoreNamespaceUtils

    public CoreNamespaceUtils()

- ## Method Details

  - ### autoregisterBeansForNamespace

    public static void autoregisterBeansForNamespace(org.springframework.beans.factory.xml.ParserContext parserContext, Object source)

  - ### isUnderspecified

    public static boolean isUnderspecified(Element element)
    Should this element be treated as incomplete? If it has a parent or is abstract, then it may not have all properties.
    Parameters:
      `element` - to be evaluated.
    Returns:
      TRUE if the element is abstract or has a parent

  - ### isAbstract

    public static boolean isAbstract(Element element)
    Parameters:
      `element` - to be evaluated.
    Returns:
      TRUE if the element is abstract

  - ### namespaceMatchesVersion

    public static boolean namespaceMatchesVersion(Element element)
    Check that the schema location declared in the source file being parsed matches the Spring Batch version. (The old 2.0 schema is not 100% compatible with the new parser, so it is an error to explicitly define 2.0. It might be an error to declare spring-batch.xsd as an alias, but you are only going to find that out when one of the sub parses breaks.)
    Parameters:
      `element` - the element that is to be parsed next
    Returns:
      true if we find a schema declaration that matches